---
title: 'SourceBufferList: indexed property getter'
slug: Web/API/SourceBufferList/SourceBuffer
tags:
  - API
  - Audio
  - Experimental
  - Getter
  - MSE
  - Media Source Extensions
  - Method
  - Reference
  - SourceBuffer
  - SourceBufferList
  - Video
---
<div>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}</div>

<p>The <strong>indexed property getter</strong> of the {{domxref("SourceBufferList")}} interface allows the <code>SourceBuffer</code> objects in the list to be accessed with an array operator (i.e. <code>[]</code>.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mySourceBuffer</em> = <em>sourceBufferList</em>[<em>index</em>];</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>index</dt>
 <dd>The index position of the {{domxref("SourceBuffer")}} object you want to return.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("SourceBuffer")}} object.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>No specific exceptions are thrown, but if the supplied index is great than or equal to {{domxref("SourceBufferList.length")}}, the operation will return <code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#dfn-sourcebufferlist-getter', 'SourceBuffer() getter')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBufferList.SourceBuffer")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
